var scriptName = "LavaHelper";
var scriptVersion = 1.0;
var scriptAuthor = "cancername";

var lavahelp = new lavahelp();


var client;
var ticks = 0;
function lavahelp() {
    this.getName = function() {
        return "LavaHelper";
    };

    this.getDescription = function() {
        return "Gets you out of Lava.";
    };

    this.getCategory = function() {
        return "Movement";
    };
    this.onEnable = function() {
    }
this.onUpdate = function() {
	if (mc.thePlayer.isInLava()){
		commandManager.executeCommand (".vclip 3");
		mc.thePlayer.motionY = -0.01
		mc.thePlayer.speedInAir = 0.1;
		commandManager.executeCommand (".hclip 5");
		
	}
if (!mc.thePlayer.isInLava()){
	mc.thePlayer.speedInAir = 0.025
}
}
    this.onDisable = function () {
		mc.thePlayer.speedInAir = 0.025
    }
}

function onLoad() {}

function onEnable() {
    client = moduleManager.registerModule(lavahelp);
}

function onDisable() {
    moduleManager.unregisterModule(client);
}